> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sync.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Task History

> Returns records from the taskhistory entity that match the specified query parameters.  All records will be returned when no parameters are specified.



## OpenAPI

````yaml /26.3/en/rest-api/openapi-v1.json get /taskhistory
openapi: 3.0.1
info:
  title: CData OpenAPI
  version: 26.3.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://sync.example.com/api.rsc
        description: >-
          Base URL of your Sync instance, including scheme and application path
          (e.g. https://sync.example.com/api.rsc).
security: []
paths:
  /taskhistory:
    get:
      tags:
        - taskhistory
      summary: List All Task History
      description: >-
        Returns records from the taskhistory entity that match the specified
        query parameters.  All records will be returned when no parameters are
        specified.
      operationId: getAlltaskhistory
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: >-
            A comma-separated list of properties to include in the results. When
            this field is left empty, all properties will be returned.
        - name: $orderby
          in: query
          schema:
            type: string
          description: >-
            Order the results by this property in ascending or descending
            order.  Example for ascending: 'Name ASC' Example for descending:
            'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: The number of results to return.
        - name: $skip
          in: query
          schema:
            type: integer
          description: This is the offset of results to skip when returning results.
        - name: $count
          in: query
          schema:
            type: boolean
          description: >-
            When set, the results will return a count of results and not the
            actual results.
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            Use this to filter the results by specific property values. For
            example, you can use the following filter to retrieve records with
            the name 'John': $filter=Name eq 'John'
      responses:
        '200':
          description: taskhistory response
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/taskhistory'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - basic: []
        - authtoken_header: []
        - authtoken_query: []
components:
  schemas:
    taskhistory:
      type: object
      properties:
        taskid:
          description: The id of task.
          type: integer
          format: int64
        jobhistoryid:
          description: The id of job.
          type: integer
          format: int64
        jobname:
          description: The job name.
          type: string
        runstartdate:
          description: The run start date of task.
          type: string
          format: date-time
        runenddate:
          description: The run end date of task.
          type: string
        status:
          description: The status of task.
          type: string
        details:
          description: The details of task.
          type: string
        runtime:
          description: The run time of task.
          type: string
        recordsaffected:
          description: The records affected of task.
          type: string
        instanceid:
          description: The instance id of task.
          type: string
        rowversion:
          description: The job name.
          type: integer
          format: int64
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````